## naev-0.13.3-2.src.tar.gz

=== utils/lanes-generator/requirements.txt ===
Cython>=0.29.23
numpy>=1.21.0
scipy>=1.7.0
scikit-sparse>=0.4.5
matplotlib>=3.4.2
